# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Defines | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/String.hpp File Reference

`#include <vlCore/vlnamespace.hpp>`
`#include <vlCore/Object.hpp>`
`#include <vector>`
`#include <string.h>`

Go to the source code of this file.

## Classes

class | vl::String
| The String class implements an advanced UTF16 (Unicode BMP) string manipulation engine. More...
class | vl::String::StringData

## Namespaces

namespace | vl

| Visualization Library namespace.

## Defines

#define | VL_PLATFORM_DEFAULT_ENCODING SE_UTF8

## Functions

String | vl::operator+ (const wchar_t *pstr, const String &str)
String | vl::operator+ (const char *pstr, const String &str)
String | vl::operator+ (wchar_t ch, const String &str)
String | vl::operator+ (char ch, const String &str)

## Define Documentation

#define VL_PLATFORM_DEFAULT_ENCODING SE_UTF8

Definition at line 43 of file String.hpp.

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:27.
Permission is granted to use this page to write and publish articles regarding Visualization Library.